/ api / name / gb.returnptr
GB.ReturnPtr
Syntax

    void GB.ReturnPtr ( GB_TYPE type , void *value )

Returns a value stored in memory.

- type is the Gambas datatype of the value.
- value is the address of the value in memory.

This function is mainly used by container classes like Inline Arrays or Collection to return the data they stored.

The return value is automatically converted to the class specified in the method or property signature.

| This function does not abort the method or property. You must explicitely return from it by using the `return` instruction.

### See also

Returning Values GB_TYPE